package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.entity.CategoryInfo;
import com.ruoyi.common.core.domain.entity.MusicInfo;

import java.util.List;
import java.util.Map;

/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2025-07-15
 */
public interface ICategoryInfoService
{
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public CategoryInfo selectCategoryInfoById(String id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param categoryInfo 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<CategoryInfo> selectCategoryInfoList(CategoryInfo categoryInfo);

    /**
     * 新增【请填写功能名称】
     *
     * @param categoryInfo 【请填写功能名称】
     * @return 结果
     */
    public int insertCategoryInfo(CategoryInfo categoryInfo);

    /**
     * 修改【请填写功能名称】
     *
     * @param categoryInfo 【请填写功能名称】
     * @return 结果
     */
    public int updateCategoryInfo(CategoryInfo categoryInfo);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteCategoryInfoByIds(String[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteCategoryInfoById(String id);

    List<CategoryInfo> getCategory();

    int bindMusic(String categoryId,String[] ids);

}
